## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-argparse-dataclass
Version:        2.0.0
Release:        %autorelease
Summary:        Declarative CLIs with argparse and dataclasses

# SPDX
License:        MIT
URL:            https://github.com/mivade/argparse_dataclass
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/%{version}/argparse_dataclass-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
# The dev extra and the requirements_dev.txt file both have too many linters
# and other unwanted dependencies; it makes more sense to BR what we need for
# testing manually.
BuildRequires:  %{py3_dist pytest}

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-argparse-dataclass
Summary:        %{summary}

%description -n python3-argparse-dataclass %{common_description}


%prep
%autosetup -n argparse_dataclass-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files argparse_dataclass


%check
%pytest --doctest-modules -v


%files -n python3-argparse-dataclass -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.rst


%changelog
* Tue Dec 26 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-1
- Initial package (close RHBZ#2255786)
